import { Fdc3SystemChannelListener, SystemChannelListenerConfig } from './fdc3-system-channel-listener';
/**
 * fdc3-context-listener listen channel config
 * @alpha
 * @param channelType - string for the context channel type
 * @param callback - async function that is called if a message with a matching context is emitted
 */
export interface AppChannelListenerConfig extends SystemChannelListenerConfig {
    channelName: string;
}
/**
 * fdc3-context-listener listen to app channel context
 * @alpha
 */
export declare class Fdc3ContextListener extends Fdc3SystemChannelListener {
    config: AppChannelListenerConfig[];
    protected addChannelListeners(): void;
}
//# sourceMappingURL=fdc3-context-listener.d.ts.map